Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 591768 - [abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib/firefox-3.5/firefox wa...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:cae93f956c9792feb6522d0504f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-13 00:29 EDT by Daya Shanker Prasad
Modified: 2010-06-21 09:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 09:12:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.56 KB, text/plain)
2010-05-13 00:29 EDT, Daya Shanker Prasad
no flags Details

  None (edit)
Description Daya Shanker Prasad 2010-05-13 00:29:34 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.5/firefox
component: firefox
executable: /usr/lib/firefox-3.5/firefox
global_uuid: cae93f956c9792feb6522d0504fcc9db428a0546
kernel: 2.6.32.11-99.fc12.i686.PAE
package: firefox-3.5.9-2.fc12
rating: 4
reason: Process /usr/lib/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
Comment 1 Daya Shanker Prasad 2010-05-13 00:29:38 EDT
Created attachment 413621 [details]
File: backtrace
Comment 2 Chris Campbell 2010-05-14 07:43:38 EDT
#3  <signal handler called>
No symbol table info available.
#4  0x03f4acbf in ClassInfoData::GetName (this=0xbfc697c0)
    at nsScriptSecurityManager.cpp:275
No locals.
#5  0x03f459f3 in nsScriptSecurityManager::LookupPolicy (this=0xb5b964c0, 
    aPrincipal=0xb24950b0, aClassData=..., aProperty=-1245862764, aAction=1, 
    aCachedClassPolicy=0x0, result=0xbfc69804)
    at nsScriptSecurityManager.cpp:1149
        rv = <value optimized out>
        dpolicy = 0xb41ee4c0
        cpolicy = <value optimized out>
        ppolicy = <value optimized out>
#6  0x03f48dec in nsScriptSecurityManager::CanExecuteScripts (this=
    0xb5b964c0, cx=0xad8aa000, aPrincipal=0xb24950b0, result=0xbfc698c8)
    at nsScriptSecurityManager.cpp:1807
        window = {<nsCOMPtr_base> = {mRawPtr = 0xad713ae0}, <No data fields>}
        rv = <value optimized out>
        principalURI = {<nsCOMPtr_base> = {mRawPtr = 
    0xb4269110}, <No data fields>}
        isAbout = 0
        secLevel = {level = 0, capability = 0x0}
        docshell = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        globalObjTreeItem = {<nsCOMPtr_base> = {mRawPtr = 
    0xad8a9e98}, <No data fields>}
        scriptContext = <value optimized out>
        sgo = <value optimized out>
        jsPrefGroupName = "javascript"
        nameData = {mClassInfo = 0x0, mFlags = 82743460, mName = 
    0x47ff0b0 "javascript", mDidGetFlags = 0 '\000', mMustFreeName = 0 '\000'}
#7  0x03f46932 in nsScriptSecurityManager::CheckFunctionAccess (this=
    0xb5b964c0, aCx=0xad8aa000, aFunObj=0xb46405c0, aTargetObj=0xb442db00)
    at nsScriptSecurityManager.cpp:1677
        rv = 0
        subject = 0xb24950b0
        result = 1
        object = <value optimized out>
        subsumes = <value optimized out>
#8  0x0425ecf4 in nsJSContext::CallEventHandler (this=0xb12da040, aTarget=
    0xad715e50, aScope=0xb442db00, aHandler=0xb46405c0, aargv=0xaec9e304, arv=
    0xbfc69a44) at nsJSEnvironment.cpp:2080
        rv = 0
        targetVal = -1270686976
        tvr = {mContext = 0xad8aa000, mTvr = {down = 0x0, count = 1, u = {
              value = -1077503668, object = 0xbfc6994c, string = 0xbfc6994c, 
              xml = 0xbfc6994c, trace = 0xbfc6994c, sprop = 0xbfc6994c, 
              weakRoots = 0xbfc6994c, compiler = 0xbfc6994c, script = 
    0xbfc6994c, array = 0xbfc6994c}}}
        target = 0xb442db00
        rval = 22
        stack = {<nsCOMPtr_base> = {mRawPtr = 0xb71314fc}, <No data fields>}
        ar = {mContext = 0xaec9e308, mSaveDepth = -1362500864}



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-05-14 07:44:48 EDT
Reporter, is this crash reproducible? If so, please list steps.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Chris Campbell 2010-06-21 09:12:09 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.